<?php
    /**
    *
    * copyright (c) 2013-2017 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo http://www.geecom.org/articolo.php?id=34&alias=linee-guida-per-l%27uso-del-logo-geecom
    */
    include "../gUtil/DbManager.php";
    include "../costanti.php";
    include "../util.php";

    $geecomDb = new DbManager($costantiDatabase);	

    session_start();
    if(!isset($_SESSION["geecomUser_email"])) {
        header("Location: index.php");
    }

    //prende i dati dell'utente
    $utente = $geecomDb->leggiSingolaRiga("geec_utenti",$_SESSION["geecomUser_id"]);
    
    echo"Dati personali:\n";
    foreach ($utente as $campo=>$valore) {
        echo "$campo: $valore\n";
    }
    
    echo"\nComunicazioni inserite";
    $queryLogin = "SELECT * FROM geecAd_comunicazioni WHERE idUtente={$_SESSION["geecomUser_id"]}";
    $result = $geecomDb->eseguiQueryLettura($queryLogin);
    while ($comunicazione = $result->fetch_assoc()) {
        foreach ($comunicazione as $campo=>$valore) {
            echo "$campo: $valore";
        }
        echo"\n";
    }
    
    //Prende l'output e lo associa ad una variabile
$contenuto= ob_get_contents();
//Pulisce il Buffer di Output
ob_end_clean();
 
//A questo punto creo il file CSV prima associano l'hader e poi stampando il tutto
header("Content-Type: application/text");
header("Content-Disposition: attachment; filename=datiPersonali.txt");
echo $contenuto;